# Historical prices

## What is this endpoint for?

This endpoint returns our historical values for our Reference Rates. To subscribe to the live rate, please use [Kaiko Stream](broken://spaces/v5MrdvtFK4Vl0U5hpSQz/pages/NKVDvsIudflxGlIaXBbJ). More information on the rates and its methodology can be found [here](https://www.kaiko.com/products/rates-and-indices/kaiko-digital-asset-rates).

### Endpoint

{% code overflow="wrap" %}

```http
https://us.market-api.kaiko.io/v2/data/index.v1/digital_asset_rates_price/{index_code}
```

{% endcode %}

### Path Parameters

<table><thead><tr><th width="229">Parameter</th><th width="104">Required</th><th width="303">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>index_code</code></td><td>Yes</td><td>The desired rate <code>ticker</code></td><td><code>KK_BRR_BTCUSD</code></td></tr></tbody></table>

### Query Parameters

<table><thead><tr><th width="229">Parameter</th><th width="144">Required</th><th width="303">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>start_time</code></td><td>Yes</td><td>Starting time in ISO 8601 (inclusive).</td><td><code>2023-01-25T00:00:00.000Z</code></td></tr><tr><td><code>end_time</code></td><td>Yes</td><td>Ending time in ISO 8601 (exclusive).</td><td><code>2023-01-26T00:00:00.000Z</code></td></tr><tr><td><code>parameters</code></td><td>No</td><td>boolean. If true, returns the underlying composition data of the rate such as exchanges and calculation window<br><br>Default: <code>false</code></td><td><p></p><p></p><p></p></td></tr><tr><td><code>detail</code></td><td>No</td><td>boolean. If true, returns the underlying partition data for each publication<br><br>Default: <code>false</code></td><td></td></tr><tr><td><code>page_size</code></td><td>No </td><td><p>(min: 1, default: 100, max: 5000). See <a href="https://docs.kaiko.com/kaiko-rest-api/general/getting-started/pagination">Pagination</a> </p><p></p><p><em>Automatically included in continuation tokens.</em></p></td><td></td></tr><tr><td><code>continuation_token</code></td><td>No </td><td>See <a href="https://docs.kaiko.com/kaiko-rest-api/general/getting-started/pagination">Pagination</a></td><td></td></tr><tr><td><code>sort</code></td><td>No</td><td><p>Return the data in ascending (<code>asc</code>) or descending (<code>desc</code>) order. Default <code>asc</code></p><p></p><p><em>Automatically included in continuation tokens.</em></p></td><td></td></tr></tbody></table>

### Fields

<table><thead><tr><th width="193">Field</th><th width="228">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>interval_start</code></td><td>Starting timestamp of calculation window </td><td><code>2023-01-25T01:01:00.000Z</code></td></tr><tr><td><code>interval_end</code></td><td>Ending timestamp of calculation window</td><td><code>2023-01-25T01:02:00.000Z</code></td></tr><tr><td><code>price</code></td><td>Price of the reference rate at <code>interval_end</code></td><td><code>67685.61363636363</code></td></tr><tr><td><code>parameters</code></td><td>Underlying composition data of the rate such as exchanges and calculation window</td><td><p><code>'asset': 'btc',</code></p><p><code>'exchanges': ['cbse', 'gmni', 'krkn', 'lmax', 'stmp'],</code></p><p><code>'calc_window': 300</code></p></td></tr><tr><td><code>detail</code></td><td>Underlying partition data for each publication including price, volume, trade count and underlying data of the trade selected from the partition. <br><br></td><td><p><code>'partition': 0,</code></p><p><code>'price': 67678,</code></p><p><code>'volume': 5.14445852,</code></p><p><code>'count': 125,</code></p><p><code>'underlying_trade': {'datetime': '2024-10-27T15:55:17.334Z',</code></p><p><code>'exchange': 'stmp',</code></p><p><code>'volume': 0.20137745,</code></p><p><code>'id': '366038625'}</code></p></td></tr></tbody></table>

### Request examples

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl -X GET "https://us.market-api.kaiko.io/v2/data/index.v1/digital_asset_rates_price/KK_BRR_BTCUSD_LDN" \
  -H "X-API-KEY: $KAIKO_API_KEY" \
  -H "accept: application/json" \
  -G \
  --data-urlencode "start_time=2024-10-27T00:00:00.000Z" \
  --data-urlencode "end_time=2024-10-28T00:00:00.000Z" \
  --data-urlencode "parameters=True" \
  --data-urlencode "detail=True"
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/kaiko-indices/reference-rates/historical-prices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
